## libtfbs-perl 0.7.1

=== Makefile ===
# This Makefile is for the TFBS extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.74 (Revision: 67400) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DISTNAME => q[TFBS]
#     NAME => q[TFBS]
#     PREREQ_PM => {  }
#     TEST_REQUIRES => {  }
#     VERSION => q[0.5.0]
#     dist => { DIST_DEFAULT=>q[all tardist], COMPRESS=>q[gzip -9f], SUFFIX=>q[.gz] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /System/Library/Perl/5.12/darwin-thread-multi-2level/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = clang
CCCDLFLAGS =  
CCDLFLAGS =  
DLEXT = bundle
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = clang -mmacosx-version-min=10.8
LDDLFLAGS = -arch i386 -arch x86_64 -bundle -undefined dynamic_lookup -L/usr/local/lib -fstack-protector
LDFLAGS = -arch i386 -arch x86_64 -fstack-protector -L/usr/local/lib
LIBC = 
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = darwin
OSVERS = 12.0
RANLIB = /usr/bin/ar s
SITELIBEXP = /Library/Perl/5.12
SITEARCHEXP = /Library/Perl/5.12/darwin-thread-multi-2level
SO = dylib
VENDORARCHEXP = /Network/Library/Perl/5.12/darwin-thread-multi-2level
VENDORLIBEXP = /Network/Library/Perl/5.12


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = TFBS
NAME_SYM = TFBS
VERSION = 0.5.0
VERSION_MACRO = VERSION
VERSION_SYM = 0_5_0
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.5.0
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3pm
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /
SITEPREFIX = /usr/local
VENDORPREFIX = /usr/local
INSTALLPRIVLIB = /Library/Perl/Updates/5.12.4
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /Library/Perl/5.12
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = /Network/Library/Perl/5.12
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /Library/Perl/Updates/5.12.4/darwin-thread-multi-2level
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /Library/Perl/5.12/darwin-thread-multi-2level
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = /Network/Library/Perl/5.12/darwin-thread-multi-2level
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /usr/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /usr/local/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = /usr/local/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /usr/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /usr/local/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = /usr/local/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /usr/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /usr/local/share/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = /usr/local/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /usr/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /usr/local/share/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = /usr/local/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /System/Library/Perl/5.12
PERL_ARCHLIB = /System/Library/Perl/5.12/darwin-thread-multi-2level
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /System/Library/Perl/5.12/darwin-thread-multi-2level/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /Library/Perl/5.12/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.74
MM_REVISION = 67400

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = TFBS
BASEEXT = TFBS
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = 
MAN3PODS = TFBS/DB/FlatFileDir.pm \
	TFBS/DB/JASPAR2.pm \
	TFBS/DB/JASPAR4.pm \
	TFBS/DB/LocalTRANSFAC.pm \
	TFBS/DB/TRANSFAC.pm \
	TFBS/Matrix.pm \
	TFBS/Matrix/ICM.pm \
	TFBS/Matrix/PFM.pm \
	TFBS/Matrix/PWM.pm \
	TFBS/MatrixSet.pm \
	TFBS/PatternGen.pm \
	TFBS/PatternGen/AnnSpec.pm \
	TFBS/PatternGen/AnnSpec/Motif.pm \
	TFBS/PatternGen/Elph.pm \
	TFBS/PatternGen/Elph/Motif.pm \
	TFBS/PatternGen/Gibbs.pm \
	TFBS/PatternGen/Gibbs/Motif.pm \
	TFBS/PatternGen/MEME.pm \
	TFBS/PatternGen/MEME/Motif.pm \
	TFBS/PatternGen/SimplePFM.pm \
	TFBS/PatternGen/YMF.pm \
	TFBS/PatternGen/YMF/Motif.pm \
	TFBS/PatternI.pm \
	TFBS/Site.pm \
	TFBS/SitePair.pm \
	TFBS/SitePairSet.pm \
	TFBS/SiteSet.pm \
	TFBS/Word.pm \
	TFBS/Word/Consensus.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = TFBS/DB.pm \
	TFBS/DB/FlatFileDir.pm \
	TFBS/DB/JASPAR2.pm \
	TFBS/DB/JASPAR4.pm \
	TFBS/DB/LocalTRANSFAC.pm \
	TFBS/DB/TRANSFAC.pm \
	TFBS/Matrix.pm \
	TFBS/Matrix/ICM.pm \
	TFBS/Matrix/PFM.pm \
	TFBS/Matrix/PWM.pm \
	TFBS/Matrix/_Alignment.pm \
	TFBS/MatrixSet.pm \
	TFBS/PatternGen.pm \
	TFBS/PatternGen/AnnSpec.pm \
	TFBS/PatternGen/AnnSpec/Motif.pm \
	TFBS/PatternGen/Elph.pm \
	TFBS/PatternGen/Elph/Motif.pm \
	TFBS/PatternGen/Gibbs.pm \
	TFBS/PatternGen/Gibbs/Motif.pm \
	TFBS/PatternGen/MEME.pm \
	TFBS/PatternGen/MEME/Motif.pm \
	TFBS/PatternGen/Motif/Matrix.pm \
	TFBS/PatternGen/Motif/Word.pm \
	TFBS/PatternGen/SimplePFM.pm \
	TFBS/PatternGen/YMF.pm \
	TFBS/PatternGen/YMF/Motif.pm \
	TFBS/PatternGenI.pm \
	TFBS/PatternI.pm \
	TFBS/Site.pm \
	TFBS/SitePair.pm \
	TFBS/SitePairSet.pm \
	TFBS/SiteSet.pm \
	TFBS/Tools/SetOperations.pm \
	TFBS/Word.pm \
	TFBS/Word/Consensus.pm \
	TFBS/_Iterator.pm \
	TFBS/_Iterator/_MatrixSetIterator.pm \
	TFBS/_Iterator/_SiteSetIterator.pm

PM_TO_BLIB = TFBS/PatternGen/YMF.pm \
	$(INST_LIB)/TFBS/PatternGen/YMF.pm \
	TFBS/DB/TRANSFAC.pm \
	$(INST_LIB)/TFBS/DB/TRANSFAC.pm \
	TFBS/DB.pm \
	$(INST_LIB)/TFBS/DB.pm \
	TFBS/DB/LocalTRANSFAC.pm \
	$(INST_LIB)/TFBS/DB/LocalTRANSFAC.pm \
	TFBS/PatternGen/MEME.pm \
	$(INST_LIB)/TFBS/PatternGen/MEME.pm \
	TFBS/PatternGen/Gibbs.pm \
	$(INST_LIB)/TFBS/PatternGen/Gibbs.pm \
	TFBS/PatternGen/Elph.pm \
	$(INST_LIB)/TFBS/PatternGen/Elph.pm \
	TFBS/DB/JASPAR4.pm \
	$(INST_LIB)/TFBS/DB/JASPAR4.pm \
	TFBS/PatternGenI.pm \
	$(INST_LIB)/TFBS/PatternGenI.pm \
	TFBS/Matrix/ICM.pm \
	$(INST_LIB)/TFBS/Matrix/ICM.pm \
	TFBS/PatternGen/YMF/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/YMF/Motif.pm \
	TFBS/SitePairSet.pm \
	$(INST_LIB)/TFBS/SitePairSet.pm \
	TFBS/PatternGen/Elph/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/Elph/Motif.pm \
	TFBS/Site.pm \
	$(INST_LIB)/TFBS/Site.pm \
	TFBS/_Iterator/_MatrixSetIterator.pm \
	$(INST_LIB)/TFBS/_Iterator/_MatrixSetIterator.pm \
	TFBS/Tools/SetOperations.pm \
	$(INST_LIB)/TFBS/Tools/SetOperations.pm \
	TFBS/Matrix/PFM.pm \
	$(INST_LIB)/TFBS/Matrix/PFM.pm \
	TFBS/PatternI.pm \
	$(INST_LIB)/TFBS/PatternI.pm \
	TFBS/Word/Consensus.pm \
	$(INST_LIB)/TFBS/Word/Consensus.pm \
	TFBS/PatternGen/Gibbs/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/Gibbs/Motif.pm \
	TFBS/SiteSet.pm \
	$(INST_LIB)/TFBS/SiteSet.pm \
	TFBS/Matrix/_Alignment.pm \
	$(INST_LIB)/TFBS/Matrix/_Alignment.pm \
	TFBS/PatternGen/AnnSpec.pm \
	$(INST_LIB)/TFBS/PatternGen/AnnSpec.pm \
	TFBS/PatternGen/Motif/Word.pm \
	$(INST_LIB)/TFBS/PatternGen/Motif/Word.pm \
	TFBS/SitePair.pm \
	$(INST_LIB)/TFBS/SitePair.pm \
	TFBS/_Iterator/_SiteSetIterator.pm \
	$(INST_LIB)/TFBS/_Iterator/_SiteSetIterator.pm \
	TFBS/_Iterator.pm \
	$(INST_LIB)/TFBS/_Iterator.pm \
	TFBS/PatternGen/MEME/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/MEME/Motif.pm \
	TFBS/DB/FlatFileDir.pm \
	$(INST_LIB)/TFBS/DB/FlatFileDir.pm \
	TFBS/PatternGen.pm \
	$(INST_LIB)/TFBS/PatternGen.pm \
	TFBS/MatrixSet.pm \
	$(INST_LIB)/TFBS/MatrixSet.pm \
	TFBS/PatternGen/SimplePFM.pm \
	$(INST_LIB)/TFBS/PatternGen/SimplePFM.pm \
	TFBS/Word.pm \
	$(INST_LIB)/TFBS/Word.pm \
	TFBS/DB/JASPAR2.pm \
	$(INST_LIB)/TFBS/DB/JASPAR2.pm \
	TFBS/Matrix.pm \
	$(INST_LIB)/TFBS/Matrix.pm \
	TFBS/PatternGen/AnnSpec/Motif.pm \
	$(INST_LIB)/TFBS/PatternGen/AnnSpec/Motif.pm \
	TFBS/PatternGen/Motif/Matrix.pm \
	$(INST_LIB)/TFBS/PatternGen/Motif/Matrix.pm \
	TFBS/Matrix/PWM.pm \
	$(INST_LIB)/TFBS/Matrix/PWM.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 6.74
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /System/Library/Perl/5.12/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = 
XSUBPPDEPS = /System/Library/Perl/5.12/ExtUtils/typemap $(XSUBPP)
XSUBPPARGS = -typemap /System/Library/Perl/5.12/ExtUtils/typemap
XSUBPP_EXTRA_ARGS =


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = COPY_EXTENDED_ATTRIBUTES_DISABLE=1 COPYFILE_DISABLE=1 tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip -9f
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = all tardist
DISTNAME = TFBS
DISTVNAME = TFBS-0.5.0


# --- MakeMaker macro section:
