## libtfbs-perl 0.6.0+dfsg

=== debian/changelog ===
libtfbs-perl (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debian/rules: Clean up from get-orig-source since there is a real
    release
  * debian/copyright: Exclude several files which are either cruft adding
    useless bytes to the archive and on the other hand making the build
    quite complex (Makefile with broken clean target which deletes itself
    afterwards anyway) all those files are deleted

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2014 14:53:42 +0100

libtfbs-perl (0.5.svn.20100421-2) unstable; urgency=low

  * debian/upstream:
     - Single Reference field instead of Reference-*
     - s/authors/author/
  * debian/source/format: 3.0 (quilt) 
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
     - canonical Vcs fields
  * debian/copyright: DEP5
  * debian/rules: hardening options
  * debian/patches/hardening.patch: Enable building with -Wformat-security

 -- Andreas Tille <tille@debian.org>  Sat, 16 Nov 2013 22:02:13 +0100

libtfbs-perl (0.5.svn.20100421-1) unstable; urgency=low

  * New upstream SVN snapshot fixing issue related to new naming conventions.
  * Arranged the get-orig-source target of debian/rules to pick the date
    of the last upstream commit.
  * Corrected Vcs fields in debian/control. 
  * Conforms with Policy 3.9.2:
    - Incremented Standards-Version in debian/control.
    - Mention GPL version 1 in debian/copyright.
  * Switch to Debhelper 8 and dh rules.
  * Converted debian/copyright to DEP-5 format.

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Aug 2011 13:10:21 +0900

libtfbs-perl (0.5.svn.20091128-1) unstable; urgency=low

  * New upstream SVN snapshot, adding JASPAR5 support.
  * Skip test that needs a network connection unless in maintainer mode.
     (debian/rules). Thanks to Gregor Herrmann (Closes: #533995).
  * Updated to Policy 3.8.3:
    - Incremented Standards-Version (debian/control)
    - Dropped version in build dependency on Perl (debian/control).
    - Honor the ‘nocheck’ build option (debian/rules).
  * Documented how this package is tested in debian/README.Debian.
  * Added meta-information in debian/upstream-metadata.yaml.
  * Refreshed debian/copyright to latest experimentations on the format.
  * Debhelper 7: use dh_prep and dh binary-arch in debian/rules.

 -- Charles Plessy <plessy@debian.org>  Sat, 28 Nov 2009 14:14:36 +0900

libtfbs-perl (0.5.svn.20080722-2) unstable; urgency=low

  * debian/control:
    - Added bioperl to the build dependencies (Closes: #493341).
    - Dropped quilt build dependency (see below).
    - Added myself to the Uploaders field.
    - Added `libgd-gd2-perl | libgd-gd2-noxpm-perl' as recommended package.
  * debian/compat, debian/control:
    - Using debhelper 7.
  * debian/rules:
    - Refreshed with `dh-make-perl --refresh'.
    - Removes /usr/lib/perl5/pwm_searchPFF.c and /usr/lib/perl5/pwm_search.h,
      that should not be installed there.
  * debian/patches, debian/rules:
    - Disabling the MySQL tests with `echo "n" |' instead of patches.
  * debian/copyright:
    - Converted to machine-readable format.
    - Added myself to the Hall of Fame.

 -- Charles Plessy <plessy@debian.org>  Mon, 11 Aug 2008 13:27:45 +0900

libtfbs-perl (0.5.svn.20080722-1) unstable; urgency=low

  * Initial release (closes: #491714).

 -- Steffen Moeller <moeller@debian.org>  Tue, 22 Jul 2008 00:07:17 +0200
