=== debian/control ===
Source: libtfbs-perl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9),
               perl,
               pdl,
               bioperl,
               libwww-perl,
               libdbi-perl
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libtfbs-perl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libtfbs-perl/trunk/
Homepage: http://tfbs.genereg.net

Package: libtfbs-perl
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         pdl,
         bioperl,
         libwww-perl,
         libdbi-perl
Recommends: libgd-gd2-perl | libgd-gd2-noxpm-perl
Description: scanning DNA sequence with a position weight matrix
 The TFBS perl modules comprise a set of routines to interact with the
 Transfac and Jaspar databases that describe a special family of proteins,
 the transcription factors. These bind to genomic DNA to initiate (or
 prevent) the readout of a gene.  Once multiple binding sites are known
 for a transcription factor, these are gathered in a single file and are
 aligned in order to find position-specific characteristica that might
 be used to predict such binding events in novel DNA sequences.
 .
 If you use TFBS in your work, please cite "Lenhard B., Wasserman W.W. (2002)
 TFBS: Computational framework for transcription factor binding site analysis.
 Bioinformatics 18:1135-1136".
