=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	echo "n" | perl Makefile.PL INSTALLDIRS=vendor
	$(MAKE) OPTIMIZE="$(CFLAGS)" LD_RUN_PATH="" OTHERLDFLAGS="$(LDFLAGS)"

# Do not run network test unless in maintainer mode.
ifneq (1,$(DEB_MAINTAINER_MODE))
TEST_FILES := $(filter-out t/04_DB_TRANSFAC.t,$(shell echo t/*.t))
else
TEST_FILES := $(shell echo t/*.t)
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	prove --blib $(TEST_FILES) Ext/t/*.t
endif
