=== debian/watch ===
version=3
opts=dversionmangle=s/(\+dfsg)// \
http://tfbs.genereg.net/TFBS-(.*)\.tar\.gz
