## libtfbs-perl 0.6.1+dfsg

=== debian/changelog ===
libtfbs-perl (0.6.1+dfsg-1build1) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Aug 2014 10:00:42 +0200

libtfbs-perl (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * Add get-orig-source target with proper uscan call
  * debian/watch: use uversionmangle to get properly named tarball
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 23 Jul 2014 14:39:16 +0200
