=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
http://tfbs.genereg.net/TFBS-(.*)\.tar\.gz
