## libtfbs-perl 0.7.0+dfsg

=== debian/changelog ===
libtfbs-perl (0.7.0+dfsg-4) unstable; urgency=medium

  * d/watch: version=4
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2016 21:57:24 +0100

libtfbs-perl (0.7.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * add tests (except smoke tests - since debian/tests/run-unit-tests does the
    same thing as they do) from autopkgtest-pkg-perl to debian/tests/control.
    For more details see this page (and link to default-tests-control file):
    https://pkg-perl.alioth.debian.org/autopkgtest.html#implementation

 -- Tatiana Malygina <merlettaia@gmail.com>  Sat, 16 Jul 2016 08:00:43 +0300

libtfbs-perl (0.7.0+dfsg-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * NMU Closes: #827499

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jul 2016 10:08:02 +0200

libtfbs-perl (0.7.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_pdl to set versioned pdl dependency via ${pdl:Depends}.
  * Update Vcs-Browser URL to use HTTPS.
  * Update watch file to handle common issues.
  * Enable all hardening buildflags, except PIE (causes build failure).
  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch to fix spelling errors.
  * Require at least pdl 2.016 for pdl transition.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2016 13:42:08 +0200

libtfbs-perl (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fixed watch file

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 19:16:14 +0100
