=== debian/control ===
--- 
+++ 
@@ -4,24 +4,25 @@
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: perl
+Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                perl,
-               pdl,
+               pdl (>= 1:2.016),
                bioperl,
                libwww-perl,
                libdbi-perl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libtfbs-perl/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libtfbs-perl/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libtfbs-perl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libtfbs-perl.git
 Homepage: http://tfbs.genereg.net
 
 Package: libtfbs-perl
 Architecture: any
 Depends: ${perl:Depends},
+         ${pdl:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         pdl,
          bioperl,
          libwww-perl,
          libdbi-perl
