=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+
+CFLAGS += $(CPPFLAGS)
+
+DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 
 %:
 	dh $@
@@ -19,3 +26,14 @@
 	prove --blib $(TEST_FILES) Ext/t/*.t
 endif
 
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
+	cp -a Ext/t debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
+
+override_dh_perl:
+	dh_perl
+	dh_pdl
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compress xz
