## libtfbs-perl 0.7.1

=== debian/changelog ===
libtfbs-perl (0.7.1-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove redundant get-orig-source target
  * Fix permissions
  * Drop obsolete needs-recommends from debian/tests/control and add
    recommended libgd-gd2-perl to Depends
  * Drop unneeded Testsuite: autopkgtest
  * Fix perl interpreter path
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 20:43:31 +0200

libtfbs-perl (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/copyright, d/watch: Stop repacking upstream sources.
  * d/control:
    - Add upstream's notice of deprecation to the package's description.
    - Remove cruft Makefiles at build time.
    - Conforms to Policy version 4.1.1.

 -- Charles Plessy <plessy@debian.org>  Sat, 21 Oct 2017 11:41:55 +0900
