=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: perl
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                perl,
                pdl (>= 1:2.016),
                bioperl,
                libwww-perl,
                libdbi-perl
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libtfbs-perl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libtfbs-perl.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/libtfbs-perl
+Vcs-Git: https://salsa.debian.org/med-team/libtfbs-perl.git
 Homepage: http://tfbs.genereg.net
 
 Package: libtfbs-perl
@@ -39,3 +38,7 @@
  If you use TFBS in your work, please cite "Lenhard B., Wasserman W.W. (2002)
  TFBS: Computational framework for transcription factor binding site analysis.
  Bioinformatics 18:1135-1136".
+ .
+ Note: the TFBS perl module is no longer under active development.  All the
+ functionality can be found in the TFBSTools Bioconductor package; users are
+ highly encouraged to switch.  <http://bioconductor.org/packages/TFBSTools/>
