=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,13 @@
 
 CFLAGS += $(CPPFLAGS)
 
-DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
+
+override_dh_auto_clean:
+	rm --force Makefile Makefile.old
 
 override_dh_auto_configure:
 	echo "n" | perl Makefile.PL INSTALLDIRS=vendor
@@ -28,12 +31,16 @@
 
 override_dh_installexamples:
 	dh_installexamples
-	mkdir -p debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
-	cp -a Ext/t debian/$(DEBPKGNAME)/usr/share/doc/$(DEBPKGNAME)/examples/Ext
+	mkdir -p debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/Ext
+	cp -a Ext/t debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/examples/Ext
+	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
+	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done
 
 override_dh_perl:
 	dh_perl
 	dh_pdl
 
-get-orig-source:
-	uscan --verbose --force-download --repack --compress xz
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name pwmsearch.bundle -exec chmod -x \{\} \;
