=== debian/changelog ===
libtfbs-perl (0.7.1+ds-5) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix ftbfs with gcc-15. (Closes: #1097278)
  * d/control: approach cross-buildability.
    This change introduces perl-xs-dev and libcrypt-dev to build
    dependencies, the latter being needed soon once out of the essential
    set.  In addition, some <!nocheck> filtering is implemented and the
    perl interpreter is requested for the native architecture.
    Thanks to Helmut Grohne (Closes: #1102835)
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: move to format version 5.
  * d/salsa-ci.yml: new: configure CI.

 -- Étienne Mollier <emollier@debian.org>  Thu, 11 Sep 2025 22:40:14 +0200

libtfbs-perl (0.7.1+ds-4) unstable; urgency=medium

  * Team upload.
  * d/control: declare compliance to standards version 4.7.0.
  * Rename gcc-14.patch to dpkg-1.22.6.patch.
    The issue addressed by gcc-14.patch originally resulted from a change
    in dpkg 1.22.6 in options passed to gcc.
  * gcc-14.patch: new: fix build failure with gcc 14.
    Build failures were caused by functions implicitly declared as
    returning an integer type. (Closes: #1075213)

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Jul 2024 17:29:17 +0200

libtfbs-perl (0.7.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat to 13.
  * Use dh-sequence-pdl for dh_pdl.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add Rules-Requires-Root to control file.
  * Add patch to fix FTBFS with GCC 14.
    (closes: #1066716)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 18:33:49 +0100

libtfbs-perl (0.7.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with PDL 2.070.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Jan 2022 08:03:13 +0100

libtfbs-perl (0.7.1+ds-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Bas Couwenberg ]
  * Rebuild with PDL 2.061.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Bump Standards-Version to 4.6.0, no changes.
  * Use AUTOPKGTEST_TMP instead of deprecated ADTTMP variable.
  * Update upstream metadata for GitHub repository.
  * Update spelling errors path.
  * Enable PIE hardening flags too.
  * Don't override dh_auto_configure.
  * Update lintian overrides.
  * Don't remove Makefile{,.old} in dh_auto_clean override.
  * Repack upstream tarball to exclude Makefile{,.old}.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Nov 2021 11:59:50 +0100

libtfbs-perl (0.7.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change rebuild with PDL 2.0.57.
    (closes: #993427)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 05 Sep 2021 07:29:33 +0200

libtfbs-perl (0.7.1-3) unstable; urgency=medium

  [ Xavier Guimard ]
  * Fix autopkgtest control for autodep8+pkg-perl-autopkgtest transition
    Closes: #940674

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Sep 2019 17:34:02 +0200
