=== debian/control ===
--- 
+++ 
@@ -5,16 +5,20 @@
            Andreas Tille <tille@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               perl,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pdl,
+               perl:native,
+               perl-xs-dev,
                pdl (>= 1:2.016),
+               libcrypt-dev,
                bioperl,
-               libwww-perl,
-               libdbi-perl
-Standards-Version: 4.2.1
+               libwww-perl <!nocheck>,
+               libdbi-perl <!nocheck>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libtfbs-perl
 Vcs-Git: https://salsa.debian.org/med-team/libtfbs-perl.git
 Homepage: http://tfbs.genereg.net
+Rules-Requires-Root: no
 
 Package: libtfbs-perl
 Architecture: any
