=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,14 @@
 #!/usr/bin/make -f
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-CFLAGS += $(CPPFLAGS)
+export HAVE_MYSQL=n
 
 include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
-
-override_dh_auto_clean:
-	rm --force Makefile Makefile.old
-
-override_dh_auto_configure:
-	echo "n" | perl Makefile.PL INSTALLDIRS=vendor
-	$(MAKE) OPTIMIZE="$(CFLAGS)" LD_RUN_PATH="" OTHERLDFLAGS="$(LDFLAGS)"
 
 # Do not run network test unless in maintainer mode.
 ifneq (1,$(DEB_MAINTAINER_MODE))
@@ -37,10 +30,6 @@
 	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
 	done
 
-override_dh_perl:
-	dh_perl
-	dh_pdl
-
 override_dh_fixperms:
 	dh_fixperms
 	find debian -name pwmsearch.bundle -exec chmod -x \{\} \;
