=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr, skippable

Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps
Depends: @, pkg-perl-autopkgtest
Restrictions: skippable, superficial

Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, pkg-perl-autopkgtest, libgd-gd2-perl
Restrictions: skippable, superficial

Test-Command: /usr/share/pkg-perl-autopkgtest/runner heavy-deps
Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy
Restrictions: skippable, superficial
