=== debian/watch ===
Version: 5

Source: http://tfbs.genereg.net/
Matching-Pattern: (?:.*?/)?(?:TFBS|v)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Repacksuffix: +ds
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/
